ru.bitel.bgbilling.modules.mangooffice.server.task

## Class MangoFeesFtpReloader

- java.lang.Object
- - bitel.billing.server.task.bean.RunTask
  - - bitel.billing.server.task.bean.RunTaskRecalculator<MangoFeesFtpLoader>
    - - ru.bitel.bgbilling.modules.mangooffice.server.task.MangoFeesFtpReloader

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Runnable

      public class MangoFeesFtpReloader
      extends RunTaskRecalculator<MangoFeesFtpLoader>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class bitel.billing.server.task.bean.RunTaskRecalculator

      `dt, email, mid`

    - ### Fields inherited from class bitel.billing.server.task.bean.RunTask

      `log, setup`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MangoFeesFtpReloader(int mid, java.util.Calendar dt)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected MangoFeesFtpLoader` | `createTask()`
    `void` | `executeTask()`

    - ### Methods inherited from class bitel.billing.server.task.bean.RunTaskRecalculator

      `getDescription`

    - ### Methods inherited from class bitel.billing.server.task.bean.RunTask

      `getQueueId, getUniqueKeyParallel, getUniqueKeyQueue, init, removeMyselfFromTable, run, setQueueId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MangoFeesFtpReloader

          public MangoFeesFtpReloader(int mid,
                                      java.util.Calendar dt)

  - ### Method Detail

    - #### executeTask

          public void executeTask()

      Overrides:
        `executeTask` in class `RunTaskRecalculator<MangoFeesFtpLoader>`

    - #### createTask

          protected MangoFeesFtpLoader createTask()

      Specified by:
        `createTask` in class `RunTaskRecalculator<MangoFeesFtpLoader>`